package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCarCmdLog;
import com.iformall.domain.vo.MarkingSceneDataVo;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author gongbiao
 */
public interface WxCarCmdLogMapper extends CommonMapper<WxCarCmdLog, Long> {

	List<WxCarCmdLog> findList(WxCarCmdLog wxCarCmdLog);

    List<Map<String, Object>> queryHistory(HashMap<String, Object> params);

    List<Map<String, Object>> queryTodayCar(HashMap<String, Object> params);

    List<Map<String, Object>> queryWeekCarPay(HashMap<String,Object> params);

    List<MarkingSceneDataVo> queryForSceneRepotyHistoryCar(HashMap<String,Object> params);

    List<Map<String,Object>> queryPlateNumberList(Map<String,Object> carParams);

    List<String> queryTenantIdBySynId(HashMap<String,String> params);

    Long queryWeekCarPayCount(HashMap<String,Object> params);

    WxCarCmdLog queryByOrderId(HashMap<String,String> params);

    WxCarCmdLog queryBySynId(HashMap<String,Object> params);
}
